#
# spec file for package gtksourceviewmm
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gtksourceviewmm
Version:        3.12.0
Release:        5.2
Summary:        C++ interface for gtksourceview
License:        LGPL-2.1+
Group:          System/Libraries
Url:            http://projects.gnome.org/gtksourceviewmm/
Source0:        http://download.gnome.org/sources/gtksourceviewmm/3.12/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(glibmm-2.4)
BuildRequires:  pkgconfig(gtkmm-3.0)
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
gtksourceviewmm provides a C++ interface to the gtksourceview library.

%package -n libgtksourceviewmm-3_0-0
Summary:        C++ interface for gtksourceview
Group:          System/Libraries

%description -n libgtksourceviewmm-3_0-0
gtksourceviewmm provides a C++ interface to the gtksourceview library.

%package devel
Summary:        C++ interface for gtksourceview -- Development Files
Group:          Development/Libraries/C and C++
Requires:       libgtksourceviewmm-3_0-0 = %{version}

%description devel
gtksourceviewmm provides a C++ interface to the gtksourceview library.

%prep
%setup -q

%build
%configure \
        --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%post -n libgtksourceviewmm-3_0-0 -p /sbin/ldconfig

%postun -n libgtksourceviewmm-3_0-0 -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -n libgtksourceviewmm-3_0-0
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/gtksourceviewmm-3.0/
%{_libdir}/gtksourceviewmm-3.0/
%{_libdir}/*.so
%{_libdir}/pkgconfig/gtksourceviewmm-3.0.pc
%doc %{_datadir}/devhelp/books/gtksourceviewmm-3.0/
%doc %{_datadir}/doc/gtksourceviewmm-3.0/
# Avoid BuildRequires on devhelp
%dir %{_datadir}/devhelp
%dir %{_datadir}/devhelp/books

%changelog
* Wed Apr 29 2015 zaitor@opensuse.org
- Update to version 3.12.0:
  + Deprecated some API because some of the C API was deprecated.
  + Fix the examples build with recent gtkmm versions.
* Fri Mar  1 2013 dimstar@opensuse.org
- Spec-cleanup using format_spec_file service.
* Wed Sep 28 2011 dimstar@opensuse.org
- Update to version 3.2.0:
  + Wrapped gtk_source_gutter_get_renderer_at_pos() as
    Gsv::Gutter::get_renderer_at_pos().
  + Search test does not use deprecated methods.
* Thu Apr 28 2011 vuntz@opensuse.org
- New package, loosely based on libgtksourceviewmm that it will
  replace: libgtksourceviewmm is a very old version of the code.
- Initial version: 3.0.0.
